{**
 * 2020-2022 AdTela
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * DISCLAIMER
 *
 *  @author AdTela SAS
 *  @copyright  2020-2022 AdTela SAS
 *  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  @version  Release: $Revision$
 *  International Registered Trademark & Property of AdTela SAS
 *}
<div>

    <p>
    {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ERR_MESSAGES"}
    <strong>{$values.$field|escape:'htmlall':'UTF-8'}</strong>
    </p>

  <img src="../modules/{$module_name|escape:'htmlall':'UTF-8'}/views/img/logo_expedy.svg">


  <p>{l s='For more informations about how to add or config a printer, contact our support at ' mod='printerpoint'}
  </p>


  


  <div class="panel">





            

    <div class="panel-heading">{l s='Module configuration' mod='printerpoint'} </div>


    <form class=""


      action="index.php?controller=AdminModules&amp;configure={$module_name|escape:'htmlall':'UTF-8'}&amp;token={$token}"


      method="post" enctype="multipart/form-data"


      novalidate=""


    >


      <input type="hidden" name="submit{$module_name|escape:'htmlall':'UTF-8'}" value="1">


      


      <div class="form-wrapper">


        


        <div class="panel panel-default">


          <div class="panel-heading">{l s='Printer parameters' mod='printerpoint'}</div>


          <div class="panel-body">


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_API_SID"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='SID' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input class=""


                  type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="15"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_API_TOKEN"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Token' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input class=""


                  type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="15"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_API_PRINTER_ID"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Printer identifier' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input class=""


                  type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            
            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_API_PRINTER_ID_BACKUP"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Tandem Printer identifier' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input class=""


                  type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>
            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_PRINTER_MODEL"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Printer model' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <select class="form-control"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


                  <option value="1"{if $values.$field == 1} selected="selected"{/if}>{l s='58mm' mod='printerpoint'}</option>


                  <option value="2"{if $values.$field == 2} selected="selected"{/if}>{l s='80mm' mod='printerpoint'}</option>


                </select>


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_AUTOCUT"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  {if $values.$field|escape:'htmlall':'UTF-8'} checked="checked"{/if}


                >


                Ticket auto-cut


              </label>


            </div>


          </div>


        </div>


        


        <div class="panel panel-default">


          <div class="panel-heading">{l s='Shop informations' mod='printerpoint'}</div>


          <div class="panel-body">


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_LOGO"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Logo URL (max width 570px)' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="255"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_ENSEIGNE"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Sign' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_NOM"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Name' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_ADRESSE_LIGNE_1"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Address (line 1)' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_ADRESSE_LIGNE_2"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Address (line 2)' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_CODE_POSTAL"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Postal code' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_VILLE"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='City' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_TELEPHONE"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Phone' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ENT_SIRET"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='SIRET' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>


          </div>


        </div>


        


        <div class="panel panel-default">


          <div class="panel-heading">{l s='Options' mod='printerpoint'}</div>


          <div class="panel-body">


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_PRODUIT"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Products display' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <select class="form-control"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


                  <option value="1"{if $values.$field == 1} selected="selected"{/if}>


                    {l s='Product name and attributes' mod='printerpoint'}


                  </option>


                  <option value="2"{if $values.$field == 2} selected="selected"{/if}>


                    {l s='Product reference and attributes' mod='printerpoint'}


                  </option>


                  <option value="3"{if $values.$field == 3} selected="selected"{/if}>


                    {l s='Product name only' mod='printerpoint'}


                  </option>


                  <option value="4"{if $values.$field == 4} selected="selected"{/if}>


                    {l s='Product reference only' mod='printerpoint'}


                  </option>


                </select>


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_PAGE"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Amounts' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <select class="form-control"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


                  <option value="1"{if $values.$field == 1} selected="selected"{/if}>


                    {l s='Detailed amounts with tax' mod='printerpoint'}


                  </option>


                  <option value="2"{if $values.$field == 2} selected="selected"{/if}>


                    {l s='Detailed amounts only' mod='printerpoint'}


                  </option>


                  <option value="3"{if $values.$field == 3} selected="selected"{/if}>


                    {l s='Without amounts' mod='printerpoint'}


                  </option>


                </select>


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_DECLENCHEMENT"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Printing trigger' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <select class="form-control"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


                  <option value="1"{if $values.$field == 1} selected="selected"{/if}>


                    {l s='When an order is made' mod='printerpoint'}


                  </option>


                  <option value="2"{if $values.$field == 2} selected="selected"{/if}>


                    {l s='When an order status becomes "Payment accepted"' mod='printerpoint'}


                  </option>

                  <option value="3"{if $values.$field == 3} selected="selected"{/if}>


                    {l s='When using Prestatillpos "cashier checkout"' mod='printerpoint'}


                  </option>

                </select>


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_COPIES"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Number of copies' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <select class="form-control"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


                  <option value="1"{if $values.$field == 1} selected="selected"{/if}>1</option>


                  <option value="2"{if $values.$field == 2} selected="selected"{/if}>2</option>


                  <option value="3"{if $values.$field == 3} selected="selected"{/if}>3</option>


                  <option value="4"{if $values.$field == 4} selected="selected"{/if}>4</option>


                  <option value="5"{if $values.$field == 5} selected="selected"{/if}>5</option>


                </select>


              </div>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_TOTAL_AVEC_TAXES"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print total with taxes' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_TOTAL_HORS_TAXES"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print total without taxes' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_DETAIL_TAXES"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print taxes detail' mod='printerpoint'}


              </label>


            </div>





            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_BARCODE"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print item barcode' mod='printerpoint'}


              </label>


            </div>





            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_NB_ARTICLES"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print items count' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_COMMENTAIRE_CLIENT"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print customer message' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_REMERCIEMENT"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print thanks' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_MODE_LIVRAISON"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print delivery mode' mod='printerpoint'}


              </label>


            </div>


            


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_OPT_MODE_PAIEMENT"}


            <div class="checkbox">


              <label class="control-label">


                <input type="checkbox" name="{$field|escape:'htmlall':'UTF-8'}"{if $values.$field} checked="checked"{/if}>


                {l s='Print payment mode' mod='printerpoint'}


              </label>


            </div>


            
            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_MULTISTORE"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='Multistore data string' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <textarea name="{$field|escape:'htmlall':'UTF-8'}" required="required">{$values.$field|escape:'htmlall':'UTF-8'}</textarea>


              </div>


            </div>
            
            
            <br /><br />
            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_API_SMS_NUM"}


            <div class="row">


              <label class="col-lg-2 control-label">{l s='SMS Notification (format: +33XXXXXXXXX)' mod='printerpoint'}</label>


              <div class="col-lg-10">


                <input class=""


                  type="text"


                  name="{$field|escape:'htmlall':'UTF-8'}"


                  size="30"


                  required="required"


                  value="{$values.$field|escape:'htmlall':'UTF-8'}"


                >


              </div>


            </div>
            
            
            
          </div>


        </div>


        


<!--        <div class="panel panel-default">


          <div class="panel-heading">{l s='Last errors' mod='printerpoint'}</div>


          <div class="panel-body">


            {$field="{$module_name|upper|escape:'htmlall':'UTF-8'}_ERR_MESSAGES"}


            <div {*style="max-height: 50px; overflow-y: scroll;"*}><pre>{$values.$field|escape:'htmlall':'UTF-8'}</pre></div>



          </div>


        </div> -->


        


        <button type="submit"


          name="submit{$module_name|upper|escape:'htmlall':'UTF-8'}"


          class="btn btn-default pull-right"


          value="1"


        >


          <i class="process-icon-save"></i>{l s='Save' mod='printerpoint'}


        </button>



      </div>


    </form>


  </div>


</div>